﻿@model IList<QuadrusMotorCompany.Web.Models.Inventory.VehicleInventoryViewModel>

@{
    ViewBag.Title = "QMC - Manage Inventory";
}

<h2>
    Manage Inventory

    <span class="pull-right">
        <a href="@Url.Action("Add")" class="btn btn-default">
            <span class="fa fa-plus"></span>
        </a>
    </span>
</h2>
<hr />

<div class="table-responsive">
    <table class="table">
        <thead>
        <tr>
            <th>Make</th>
            <th>Model</th>
            <th>Price</th>
            <th>Description</th>
            <th></th>
        </tr>
        </thead>
        <tbody>
        @foreach (var vehicle in Model)
        {
            <tr>
                <td>@vehicle.Make</td>
                <td>@vehicle.Model</td>
                <td>@vehicle.Price.ToString("C")</td>
                <td class="text"><span>@vehicle.Description</span></td>
                <td style="text-align: right">
                    <a class="btn btn-primary" href="@Url.Action("Edit", "Inventory", new { make = vehicle.Make.Replace(" ", "_"), model = vehicle.Model.Replace(" ", "_")})">
                        <span class="fa fa-pencil"></span>
                    </a>
                    <a class="btn btn-danger" href="@Url.Action("Delete", "Inventory", new { id = vehicle.Id })">
                        <span class="fa fa-trash"></span>
                    </a>
                </td>
            </tr>
        }
        </tbody>
    </table>
</div>